
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在VB.NET应用中使用MySQL的方法_Mysql / iVAN</title>

    <meta name="description" content="在VB.NET应用中使用MySQL的方法_Mysql  绪言 在Visual Studio中使用向导连接到MySQL数据库是一件相当棘手的事情.因为MySQL并不在VS2012默认支持的数据库中(比如SQL Server).在本文中我将介绍如何使用VB.NET连接到MySQL数据库并且执行SQL语句(SELECT,UPDATE,DELETE),同时我会展示如何将MySQL连接器导入(connectors)到Visual Studio 2012中. 使用代码     你须要从http://dev.mysql.com/downloads/connect">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">在VB.NET应用中使用MySQL的方法_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong> 绪言</strong></p>
<p>在Visual Studio中使用向导连接到MySQL数据库是一件相当棘手的事情。因为MySQL并不在VS2012默认支持的数据库中（比如SQL Server）。在本文中我将介绍如何使用VB.NET连接到MySQL数据库并且执行SQL语句（SELECT，UPDATE，DELETE），同时我会展示如何将MySQL连接器导入（connectors）到Visual Studio 2012中。</p>
<p><strong>使用代码</strong></p>
<p>    你须要从http://dev.mysql.com/downloads/connector/下载MySQL连接器(mysql-connector-net)并导入到Visual Studio中。解压下载到的文件到指定文件夹，例如C:\。启动Visual Studio。<br />
    在VS2012创建一个新的项目，项目名称可以是你任意你喜欢的： <br />
 <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjI1MTE0NzIwMzk2LnBuZw==.jpg"></p>
<p>     打开project（项目） --&gt; Add reference（添加引用）。 </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjI1MTE0NzUxNDcwLnBuZw==.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjI1MTE0ODEyNjQ4LnBuZw==.jpg"></p>
<p>      选中刚才下载的DLL文件，将其导入你的项目中。<br />
创建一个新的VB类，命名为itmysqldbas如下所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjI1MTE0ODM0NTA5LnBuZw==.jpg"></p>
<p> 现在你可以直接使用我写的MySQL连接类的代码。我把这个类的代码附在了这里，或者mySqlDB.zip。<br />
你可以把这个类的代码复制到你的类中，或者干脆你直接把这个类文件放到你的项目中，这完全取决于你的决定。无论你采用哪种方式，你都能得到一个即能连接到MySQL数据库又能执行SELECT、UPDATE、DELETE操作的类。<br />
我将仅仅使用几行代码就添加一个简单的GridView到我的项目中，并试图从数据库中读取数据。 <br />
   </p>
<p><u>复制代码</u> 代码如下:</p>
<p>Dim mydb As New mySqlDB<br />
     <br />
    Protected Sub Page_Load(ByVal sender As Object, _<br />
              ByVal e As System.EventArgs) Handles Me.Load<br />
        Try<br />
            Dim dataset As New DataSet<br />
            Dim queryresult As String = ""<br />
            dataset = mydb.executeSQL_dset("SELECT COMMAND", queryresult)<br />
            GridView1.DataSource = dataset<br />
            GridView1.DataBind()<br />
        Catch ex As Exception<br />
     <br />
        End Try<br />
    End Sub</p>
<p>    当你执行上述代码时，会调用executeSQL_dset这个函数从数据库中获取数据。这个函数会返回一个数据集（dataset），然后你就能在项目中作用它了。</p>
<p>    若要执行更新或删除命令，还有另一个方法，如下：</p>
<p>   </p>
<p><u>复制代码</u> 代码如下:</p>
<p>Dim dataset As New DataSet<br />
    Dim queryresult As String = ""<br />
    mydb.executeDMLSQL("update or delete SQL command", queryresult)<br />
    If queryresult = "SUCCESS" Then<br />
        'your command is ok<br />
    Else<br />
        'your command is not ok<br />
    End If</p>
<p>希望这个篇文章对会对你有用。</p>
<p>MySQL非常小巧、非常容易下载，并且它是免费的（开源的）。希望你能使用上述的类连接到MySQL数据库，并能执行（SELECT,UPDATE,DELETE）命令。</p>
<p>我会在另一篇文章中解释这个类的一些细节上的问题，以方便你自己能修改这个类。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 05:34:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>在VB.NET应用中使用MySQL的方法_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0ZJlM.html" rel="bookmark">在EF中使用MySQL的方法及常见问题&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时需要在网上租用空间或数据库,Mysql成本低一些,所以想将sql server转成mysql-- 注意:在安装Mysql时要选择文字集为utf8,否则将不能使用中文(当前也可以在创建数据库时使用utf8,不过我不知道在ef生成数据库时如何设置,希望高手指点) 一.在项目中引用mysql的EF包 通过NuGet包管理器安装:EntityFramework6.1.3.MySql.Data.Entity6.9.8 也可以用nuget的命令行加入: Install-Package MySql.Dat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYN96lp.html" rel="bookmark">简单介绍MySQL中索引的使用方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据库索引是一个数据结构,提高操作的速度,在一个表中可以使用一个或多个列,提供两个快速随机查找和高效的顺序访问记录的基础创建索引. 在创建索引时,它应该被认为是将SQL查询的那些列上创建一个或多个索引的列. 实际上,指数也保持主键或索引字段和指针的实际表中每条记录的表型. 用户无法看到索引,它们只是用来加快查询速度,将用于数据库搜索引擎找到的记录速度非常快. INSERT和UPDATE语句表上的索引需要更多的时间,成为快速对这些表的SELECT语句.究其原因是,当进行插入或更新,数据库以及需要惰			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QXqaM.html" rel="bookmark">在Ubuntu或Debian系统的服务器上卸载MySQL的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于有的vps,系统默认安装了mysql.我们需要从我们的服务器.vps上卸载(移除)默认的mysql.那么如何(怎样)在ubuntu\Debian上卸载mysql? 通常情况下,下列mysql软件包会被安装到 Debian .Ubuntu中: mysql-client - The latest version of MySQL database client(最新版的mysql数据库客户端). mysql-server - The latest version of MySQL databas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWanOz.html" rel="bookmark">详细讲解安全升级MySQL的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL升级是非常必要的. 我们在Percona Support上列出了关于MySQL升级最佳实践的各种问题.这篇文章推荐了一些不同情况下升级MySQL的方法. 为什么MySQL升级是必须的? 原因有很多,比如:为了使用新增的特性,基于性能方面的考量, 修复的bug. 但是在没有充分的测试以前就应用到你的应用中是非常危险的, 因为升级可以能会让你的应用不能正常运作- 也可能引起性能的问题. 此外, 我建议你关注MySQL的发布信息和Percona Server - 看看最近的版本有什么变化.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWqO3z.html" rel="bookmark">MySQL关闭过程详解和安全关闭MySQL的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文分析了mysqld进程关闭的过程,以及如何安全.缓和地关闭MySQL实例,对这个过程不甚清楚的同学可以参考下. 关闭过程: 1.发起shutdown,发出SIGTERM信号 2.有必要的话,新建一个关闭线程(shutdown thread)    如果是客户端发起的关闭,则会新建一个专用的关闭线程    如果是直接收到 SIGTERM 信号进行关闭的话,专门负责信号处理的线程就会负责关闭工作,或者新建一个独立的线程负责这个事    当无法创建独立的关闭线程时(例如内存不足),MySQL Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY06V9b.html" rel="bookmark">使用JDBC从数据库中查询数据的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				* ResultSet 结果集:封装了使用JDBC 进行查询的结果 * 1. 调用Statement 对象的 executeQuery(sql) 方法可以得到结果集 * 2. ResultSet 返回的实际上就是一张数据表,有一个指针指向数据表的第一行的前面, * 可以调用next()方法检测下一行是否有效,若有效,返回true,且指针下移, * 相当于iterator 对象的 hasNext() 和 next()方法的结合体 * 3. 当指针定位到一行时,可以通过调用getXxx(index)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rm9dp.html" rel="bookmark">详解MySQL查询时区分字符串中字母大小写的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你在mysql有唯一约束的列上插入两行值'A'和'a',Mysql会认为它是相同的,而在oracle中就不会.就是mysql默认的字段值不区分大小写?这点是比较令人头痛的事.直接使用客户端用sql查询数据库. 发现的确是大小不敏感 . 通过查询资料发现需要设置collate(校对) . collate规则: *_bin: 表示的是binary case sensitive collation,也就是说是区分大小写的 *_cs: case sensitive collation,区分大小写 *			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJGYkp.html" rel="bookmark">Mysql两种情况下更新字段中部分数据的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mysql更新字段中部分数据第一种情况:  复制代码 代码如下: update tab set A = concat(substring(A,1,3),'bbb'); 从A的1个字符开始取3个字符,加上'bbb',再写入a中,如果A原始值为'123aaa',那么更新之后为'123bbb'了. 如果我们要将字段A值中的包含的1,替换成2呢? 例如:a=2211,现在要替换成2222,就是把1换成2 SQl语句这么写: 复制代码 代码如下: update table set a=REPLACE(a,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW22Jz.html" rel="bookmark">如何保护MySQL中重要数据的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				企业最有价值的资产通常是其数据库中的客户或产品信息.因此,在这些企业中,数据库管理的一个重要部分就是保护这些数据免受外部攻击,及修复软/硬件故障. 在大多数情况下,软硬件故障通过数据备份机制来处理.多数数据库都自带有内置的工具自动完成整个过程,所以这方面的工作相对轻松,也不会出错.但麻烦却来自另一面:阻止外来黑客入侵窃取或破坏数据库中的信息.不幸的是,一般没有自动工具解决这一问题;而且,这需要管理员手工设置障碍来阻止黑客,确保公司数据的安全. 不对数据库进行保护的常见原因是由于这一工作&quot;麻烦&q			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9QokM.html" rel="bookmark" class="title">Fireworks MX 2004 制作GIF动画（2）</a>
					<div>
						2.&quot;帧&quot;面板的使用 在Fireworks中GIF动画的制作离不开对&quot;帧&quot;面板的操作,因此学会对&quot;帧&quot;面板的使用非常重要. 帧的重命名:在& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ6x8z.html" rel="bookmark" class="title">PHP限制图片上传的格式</a>
					<div>
						PHP限制图片上传的格式,如下代码: &lt;html&gt;  &lt;head&gt;  &lt;meta http-equiv=&quot;Content-Type&quot; content= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6VvgM.html" rel="bookmark" class="title">动态SQL中DESCRIPTOR的应用</a>
					<div>
						动态 动态SQL中DESCRIPTOR的应用 王光红 动态SQL具有的灵活性是众所周知的,本人在此介绍一种应用DESCRIPTOR的动态SQL: $short b_num;$char *command ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz74lZb.html" rel="bookmark" class="title">flash水果冰激凌MM打造计划</a>
					<div>
						1.草稿 工具:铅笔,橡皮,复印纸 草稿虽然可以乱乱的,不过细节还是要体现. 2.勾线 工具:0.05代用针笔,扫描仪,数位板 photoshop,Streamline 线条注意封闭,扫描线稿,ps修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1yndM.html" rel="bookmark" class="title">如何制作加密光盘</a>
					<div>
						&quot;将光盘镜像文件中的目录和文件特别隐藏,将普通文件变为超大文件,将普通目录变为文件目录--&quot;,近日在一个常去的坛子上这样的一个软件介绍,立即被软件的功能所吸引,迫不及待的就去下了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOVj4b.html" rel="bookmark" class="title">MySQL小技巧：忘记MySQL密码也不怕</a>
					<div>
						1. 先杀掉mysqld的进程: 2. 使用skip-grant-tables这个选项启动MySQL: 3. 登录修改密码: 4. 关掉MySQL 5. 启动MySQL					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4O0Op.html" rel="bookmark" class="title">修复或重新安装Office程序的方法</a>
					<div>
						方法一:在&quot;帮助&quot;菜单上运行&quot;检测与修复&quot;命令. (1)在任何 Office 程序中的&quot;帮助&quot;菜单中,单击&quot;检测与修复&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGRrrp.html" rel="bookmark" class="title">PS外景照片调出淡色艺术效果</a>
					<div>
						photoshop教程原图 效果图 1.打开原图,Ctrl+J复制两个图层 2.选择图层1,执行Ctrl+Shift+U去色,再将图层1副本的图层模式设为:柔光.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EYDRM.html" rel="bookmark" class="title">巧用手势 善待用户</a>
					<div>
						在这个手机屏幕越做越大的时代,许多开发者不约而同地在自家的应用里添加了众多手势操作,比如新浪微博的右滑后退和人人的滑动抽屉,甚至有人说只有手势才能救大屏.但实际情况是用户并不喜欢过多的手势操作,用户更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwDQap.html" rel="bookmark" class="title">重装win7旗舰版系统后总是无限重启的解决方法</a>
					<div>
						  重装win7旗舰版系统后总是无限重启的解决方法          1.启动电脑,按F8进入安全模式,然后在命令提示符窗口中输入&quot;DISM.exe / image: C: [windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN10A4b.html" rel="bookmark" class="title">Win8系统桌面右边栏菜单怎么快速关闭</a>
					<div>
						  微软在win8/8.1系统中增加各种实用功能,和win7纯净版有区别,在操作界面中也有更加快捷方式,在桌面中我们只要将鼠标或手指滑到右上角时就会出现右边栏菜单(边角导航)超级按钮,虽然可以让我们更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3yYyp.html" rel="bookmark" class="title">Photoshop绘制晶莹剔透的红色樱桃</a>
					<div>
						  本教程主要使用Photoshop绘制晶莹剔透的红色樱桃,利用钢笔绘制图形,并且用渐变颜色填充形状,和蒙板局部擦除 添加高光,制作有质感的水晶效果的樱桃. 作品效果: 由于是步骤教程,所以新建图层比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXNNqp.html" rel="bookmark" class="title">win8电脑中批量关闭睡眠中Metro应用</a>
					<div>
						  其实说起来,咱们win8系统的时代还是比较短的,从64位win7旗舰版下载似乎很多用户都跳过了win8,直接进入了win10系统的时代,但是不得不说,在咱们的win8系统中,还是有很多亮点值得关注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7jZwM.html" rel="bookmark" class="title">教你如何应对系统提示内存不足</a>
					<div>
						如今,内存越来越便宜,许多朋友为自己的PC配备了高容量的内存,以期得到理想的系统性能,1G.2G甚至更多内存的PC已经很常见了.但是,出乎许多朋友意料的是,即使Windows系统Windows 200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwxKxp.html" rel="bookmark" class="title">利用十大最佳游戏开发工具开发游戏</a>
					<div>
						游戏无疑是最神奇的和有趣的休闲活动.每个人都喜欢玩游戏,所有年龄组的人喜欢玩游戏但游戏的类型可能会有所不同.有些人可能喜欢玩动作游戏,有些人喜欢玩关卡类游戏.而我只喜欢玩扫雷. 人们非常喜欢游戏,有时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badV2Qz.html" rel="bookmark" class="title">《VMware Virtual SAN权威指南》一3&period;10&period;4　自动添加磁盘到VSAN磁盘组</a>
					<div>
						3.10.4 自动添加磁盘到VSAN磁盘组 在过去几个版本发布以来,选择自动模式还是手动模式一直是个热议的话题.我们发现大多数情况下,客户都喜欢自己控制磁盘组的设备构成的选择,而手动模式才能实现这一点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQq3Zz.html" rel="bookmark" class="title">制作引导页&lbrack;1&rsqb;</a>
					<div>
						制作引导页[1] 制作引导页的核心都是将视图控件加载在UIWindow上显示,在制作引导页[1]中,我们先用最容易理解的方式来制作引导页:) 效果: 源码: AppDelegate.m // // A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7Z9jz.html" rel="bookmark" class="title">SVN常用命令及在windows上安装SVN</a>
					<div>
						svn在linux下的使用命令 1.将文件checkout到本地目录    svn checkout path(path是服务器上的目录)   例如:svn checkout svn://192.16 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3oV5z.html" rel="bookmark" class="title">分词-solr 反义词搜索 否定词搜索</a>
					<div>
						问题描述 solr 反义词搜索 否定词搜索 搜索 &quot;iphone6&quot; 的时候 ,我不想出现 &quot;iphone6壳&quot; 或者&quot;iphone6贴膜&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k74lM.html" rel="bookmark" class="title">平台接入-关于图灵机器人成语接龙的问题</a>
					<div>
						问题描述 关于图灵机器人成语接龙的问题 发送开始成语接龙,进入接龙模式,进行回复,过后就不在进行了.![图片说明](http://img.ask.csdn.net/upload/201504/27/1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3aGEz.html" rel="bookmark" class="title">Android通过AsyncTask与ThreadPool（线程池）两种方式异步加载大量数据的分析与对比</a>
					<div>
						   在加载大量数据的时候,经常会用到异步加载,所谓异步加载,就是把耗时的工作放到子线程里执行,当数据加载完毕的时候再到主线程进行UI刷新.在数据量非常大的情况下,我们通常会使用两种技术来进行异步加载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEwEdz.html" rel="bookmark" class="title">apk-android打包AP上传Google有问题</a>
					<div>
						问题描述 android打包AP上传Google有问题 android打包AP上传Google之后审核不通过,完了提示一下n内容: Your app submission has been rejec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRG86b.html" rel="bookmark" class="title">delphi7 如何添加windows函数GlobalMemoryStatusEx</a>
					<div>
						问题描述 delphi7 如何添加windows函数GlobalMemoryStatusEx delphi7 的windows.pas里没有这个函数,添加也不能引用 解决方案 Delphi7 函数De ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZkoyM.html" rel="bookmark" class="title">android 如何设置背景的透明度</a>
					<div>
						半透明&lt;Button android:background=&quot;#e0000000&quot; ... /&gt; 透明&lt;Button android:background=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKOwYb.html" rel="bookmark" class="title">Hello World 之 控制台版本（Console Application）</a>
					<div>
						原文:Hello World 之 控制台版本(Console Application) 先来介绍下Hello, World   &quot;Hello, World&quot;程序指的是只在计算机屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYo5Ap.html" rel="bookmark" class="title">Oracle 12&period;2新特性掌上手册 - 第三卷 Sharding 的增强</a>
					<div>
						编辑手记:Sharding技术我们谈了好久,想必大家并不陌生,该功能12.2最新版本中,也将变得越来越完善,今天我们一起来学习. 注:文章内容来自官方文档翻译.若需要了解更多,请查阅官方文档. 1.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm2VAb.html" rel="bookmark" class="title">推荐时代到来：获取用户数据 分析后再进行推荐</a>
					<div>
						&quot;推荐&quot;类应用大行其道,新应用能否借大趋势的东风? 当互联网上的信息量已经庞杂到让人晕头转向的时候,人们使用百度与谷歌的频率却在与日递减.相反,带有&quot;推荐&quot;意味 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBZdoM.html" rel="bookmark" class="title">比特塔&mdash;O2O模式下的IT外包服务商城</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 比特塔www.biteta.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgylkb.html" rel="bookmark" class="title">王永杰：从陆金所到小牛在线</a>
					<div>
						在时下如火如荼的互联网金融创业潮里,不少创业者都是年轻有为的80后,小牛在线的CTO王永杰亦是如此,长相秀气的他,与1980年出生的同龄人相比,更显年轻. 面相虽年轻,王永杰实际已有12年职场经验.自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwa1mM.html" rel="bookmark" class="title">云终端&mdash;&mdash;颠覆IT产业格局的网络计算机</a>
					<div>
						本文讲的是云终端--颠覆IT产业格局的网络计算机,[IT168 报道]1996年,当以Sun为代表的互联网先行者提出网络计算机概念的时候,可能不会想到,它从实验室走向应用需要花12年的时间.2008年 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
